<script setup lang="ts">
const User = defineAsyncComponent(() => import('../components/User.vue'))
const Password = defineAsyncComponent(() => import('../components/Password.vue'))
const Suggestions = defineAsyncComponent(() => import('../components/Suggestions.vue'))
</script>

<template>
  <AppCard>
    <el-tabs>
      <el-tab-pane label="个人资料">
        <User />
      </el-tab-pane>
      <el-tab-pane label="账号密码" lazy>
        <Password />
      </el-tab-pane>
      <el-tab-pane label="投诉建议" lazy>
        <Suggestions />
      </el-tab-pane>
    </el-tabs>
  </AppCard>
</template>
